Package com.pixelmed.apps

## Class WatchFolderAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName

- java.lang.Object
- - com.pixelmed.network.MultipleInstanceTransferStatusHandler
  - - com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName
    - - com.pixelmed.apps.WatchFolderAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName

- Enclosing class:
    WatchFolderAndSend

      protected class WatchFolderAndSend.OurMultipleInstanceTransferStatusHandlerWithFileName
      extends MultipleInstanceTransferStatusHandlerWithFileName

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `updateStatus​(int nRemaining, int nCompleted, int nFailed, int nWarning, java.lang.String sopInstanceUID, java.lang.String pathName, boolean success)` |

    - ### Methods inherited from class com.pixelmed.network.MultipleInstanceTransferStatusHandlerWithFileName

      `updateStatus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### updateStatus

          public void updateStatus​(int nRemaining,
                                   int nCompleted,
                                   int nFailed,
                                   int nWarning,
                                   java.lang.String sopInstanceUID,
                                   java.lang.String pathName,
                                   boolean success)

      Specified by:
        `updateStatus` in class `MultipleInstanceTransferStatusHandlerWithFileName`